Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Point

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  PointImpl

    public interface Point

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Point'.

The following features are supported:

- `X`
- `Y`

See Also:
  `GMFGraphPackage.getPoint()`
** Generated **
Model:

Method Summary
`int` `getX()` Returns the value of the 'X' attribute
`int` `getY()` Returns the value of the 'Y' attribute
`void` `setX(int value)` Sets the value of the '`X`' attribute
`void` `setY(int value)` Sets the value of the '`Y`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getX

    int getX()

  Returns the value of the 'X' attribute.

  If the meaning of the 'X' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'X' attribute.
  See Also:
    `setX(int)`, `GMFGraphPackage.getPoint_X()`
  ** Generated **
  Model:

### setX

    void setX(int value)

  Sets the value of the '`X`' attribute.

  Parameters:
    `value` - the new value of the 'X' attribute.
  See Also:
    `getX()`
  ** Generated **

### getY

    int getY()

  Returns the value of the 'Y' attribute.

  If the meaning of the 'Y' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Y' attribute.
  See Also:
    `setY(int)`, `GMFGraphPackage.getPoint_Y()`
  ** Generated **
  Model:

### setY

    void setY(int value)

  Sets the value of the '`Y`' attribute.

  Parameters:
    `value` - the new value of the 'Y' attribute.
  See Also:
    `getY()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.